import {getOneElementOrThrow} from "../libs/element.js";
import {getCurrentDir, navigate} from "../libs/navigation.js";
import {sep} from "../libs/path.js";

export const handleBack = () => {
    const backEl = getOneElementOrThrow(document, '[data-ui=up-one-dir]');
    backEl.addEventListener('click', () => {
        const currentDir = getCurrentDir();
        const directorySplit = currentDir.split(sep);
        const newDir = directorySplit.splice(0, directorySplit.length - 2);

        navigate(sep + newDir.join(sep));
    });
}